Bug 1871260 - Implement Accessibility (Axe) checks into Cypress e2e testing
Summary: Implement Accessibility (Axe) checks into Cypress e2e testing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: David Taylor
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-21 19:41 UTC by David Taylor
Modified: 2020-10-27 16:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:30:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verification screenshot (29.77 KB, image/png)
2020-09-03 08:09 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6398 0 None closed Bug 1871260: Implemented Axe A11y testing into Cypress 2020-09-02 06:42:30 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:30:51 UTC

Description David Taylor 2020-08-21 19:41:48 UTC
Implemented axe-cypress plugin to run axe accesibility testing during Cypress e2e tests.

Comment 4 XiaochuanWang 2020-09-03 07:31:23 UTC
Test added step to call cy.testA11y and it works.
Mark it as Verified.

Checking based on:
commit 15064a2b472a7771b16f634d2c687c3769ff2592 (HEAD -> release-4.6, origin/release-4.6)
Merge: 3ad0d44f7 f1efb0166

Comment 5 XiaochuanWang 2020-09-03 08:09:21 UTC
Created attachment 1713554 [details]
Verification screenshot

Comment 8 errata-xmlrpc 2020-10-27 16:30:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.